
Redmine - Defect #24439

Uable to add module on My Page

2016-11-23 23:50 - Dave Holyfield

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.1

Description

Bale to add any module to My Page. When I select module form selection "My page block" and press Add, ('m redirected to the

homepage.

Information

Redmine 3.3.1.stable

Default administrator account changed

Attachments directory writable

Plugin assets directory writable (./public/plugin_assets)

RMagick available (optional)

ImageMagick convert available (optional)

System info:    Linux

Environment:

Redmine version                3.3.1.stable

Ruby version                   2.3.0-p0 (2015-12-25) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

redmine_checklists             3.1.5

redmine_favorite_projects      2.0.3

redmine_lightbox2              0.3.1

redmine_people                 1.2.0

redmine_tweaks                 0.5.9-dev

redmine_zenedit                0.0.2

Associated revisions

Revision 15998 - 2016-11-26 09:53 - Jean-Philippe Lang

Return false after onclick (#24439).

History

#1 - 2016-11-24 04:32 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on vanilla Redmine 3.3.1.

#2 - 2016-11-24 10:31 - Dave Holyfield

I'm not sure what might cause it, but if I change:
<a onclick="$(&quot;#block-form&quot;).submit()" class="icon icon-add" href="#">Add</a>

 to:

<a onclick="$(&quot;#block-form&quot;).submit()" class="icon icon-add" href="javascript:;">Add</a>

 it works fine!

Maybe it's wise to update the code, and use javascript:; instead of link # ?

Source location: /app/views/my/page_layout.html.erb

#3 - 2016-11-26 09:54 - Jean-Philippe Lang

Could you try r15998 instead of the proposed fix? Thanks.

#4 - 2017-04-09 08:34 - Marius BĂLTEANU

I think that we can close this issue. My page supports now inline editing of the blocks (3.4.0).

#5 - 2017-04-09 11:00 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed
